Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcCommonsTransportFactory

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
          org.apache.xmlrpc.client.XmlRpcCommonsTransportFactory

All Implemented Interfaces:
  XmlRpcTransportFactory

    public class XmlRpcCommonsTransportFactory

extends XmlRpcTransportFactoryImpl

An HTTP transport factory, which is based on the Jakarta Commons HTTP Client.

Constructor Summary
`XmlRpcCommonsTransportFactory(XmlRpcClient pClient)` Creates a new instance.

Method Summary
`HttpClient` | `getHttpClient()` Returns the factories `HttpClient`.
`XmlRpcTransport` | `getTransport()` Returns an instance of `XmlRpcTransport`.
`void` | `setHttpClient(HttpClient pHttpClient)` Sets the factories `HttpClient`.

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportFactoryImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcCommonsTransportFactory

    public XmlRpcCommonsTransportFactory(XmlRpcClient pClient)

  Creates a new instance.

  Parameters:
    `pClient` - The client, which is controlling the factory.

Method Detail

### getTransport

    public XmlRpcTransport getTransport()

  Description copied from interface: `XmlRpcTransportFactory`
  Returns an instance of `XmlRpcTransport`. This may be a singleton, but the caller should not depend on that: A new instance may as well be created for any request.

  Returns:
    The configured transport.

### setHttpClient

    public void setHttpClient(HttpClient pHttpClient)

  Sets the factories `HttpClient`. By default, a new instance of `HttpClient` is created for any request.

  Reusing the `HttpClient` is required, if you want to preserve some state between requests. This applies, in particular, if you want to use cookies: In that case, create an instance of `HttpClient`, give it to the factory, and use `HttpClient#getState()` to read or set cookies.

### getHttpClient

    public HttpClient getHttpClient()

  Returns the factories `HttpClient`. By default, a new instance of `HttpClient` is created for any request.

  Reusing the `HttpClient` is required, if you want to preserve some state between requests. This applies, in particular, if you want to use cookies: In that case, create an instance of `HttpClient`, give it to the factory, and use `HttpClient#getState()` to read or set cookies.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.